HMRC IT Update – Important Information

We have had contact from HMRC in reference to a change in access to their current Online Services platform.

Due to a change in HMRC IT Support, from 30th September 2015, older internet browsers will no longer be able to connect with HMRC Online Services.

If you are using a current browser, this change at HMRC will not affect you – however, all browsers still using SSLv3 will be affected.

So, the best thing you can do to ensure your connection isn’t lost is to update your browser to one which supports ‘Transport Layer Security’ (TLS) 1.0 or above.

If you have any concerns or questions, this link will send you through to more information on the HMRC website.

Leave a Reply